import { SignalResponse } from './api/signal.response.model';

export interface Signal {
  type: 'arbete' | 'utbildning';
  omfattning: 'heltid' | 'deltid';
  percent: number;
  startDate: Date;
}

export function mapResponseToSignal(data: SignalResponse): Signal {
  const { typ, startdatum, omfattning, omfattning_procent } = data;

  return {
    type: typ,
    omfattning,
    percent: omfattning_procent,
    startDate: new Date(startdatum),
  };
}
